update problem

Discussion in 'Jailbreaks and iOS Hacks' started by hasek3139, May 10, 2011.

  1. hasek3139 macrumors 6502

    Joined:
    Mar 4, 2009
    #1
    i tried updating my iphone 4 to 4.3.3 so i can JB it, but an error came up saying this device isnt eligible for the requested build

    any ideas what to do?
     

Share This Page